### Method

# Gtk Scaleadd_mark

#### Declaration [src]

    void
    gtk_scale_add_mark (
      GtkScale* scale,
      double value,
      GtkPositionType position,
      const char* markup
    )

#### Description [src]

Adds a mark at `value`.

A mark is indicated visually by drawing a tick mark next to the scale, and GTK makes it easy for the user to position the scale exactly at the marks value.

If `markup` is not `NULL`, text is shown next to the tick mark.

To remove marks from a scale, use `gtk_scale_clear_marks()`.

#### Parameters

`value`

  Type: `double`

  The value at which the mark is placed, must be between the lower and upper limits of the scales’ adjustment.

`position`

  Type: `GtkPositionType`

  Where to draw the mark. For a horizontal scale, `GTK_POS_TOP` and `GTK_POS_LEFT` are drawn above the scale, anything else below. For a vertical scale, `GTK_POS_LEFT` and `GTK_POS_TOP` are drawn to the left of the scale, anything else to the right.

`markup`

  Type: `const char*`

  Text to be shown at the mark, using Pango markup.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.